perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dirk Jagdmann <...@cubic.org>
Subject Re: embperl 1.3.6 and apache 1.3.31 problem
Date Mon, 28 Jun 2004 14:26:27 GMT
Hello Gavin,

> I rebuilt an apache last week with this exact combo, except that I was using
> perl 5.8.3, and it all worked fine (all kinds of pain then adding php to the 

Ok, after I knew it should work I rebuilt everything from scratch today
and paid extra care when copying my website. In fact I found out, that
the error was my fault, due to a wrong (soft)link I made, which resultet
in a recursive call to Execute(). Then the process just SIGSEVed.
Perhaps Embperl could add some checks to abort and print a warning
message if Execute is called recursivly?

> 1.3.6 still seems fine to me - only gotcha I've had so far is file uploads
> not working with the latest versions of CGI, which is fixed in 2.0, but 
> hasn't been backported.

Yes, I saw that in earlier posting on this ML. I have applied the Debian
patch from Angus Lees, because I would have run into this problem too.

-- 
---> doj / cubic
----> http://cubic.org/~doj
-----> http://llg.cubic.org


---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message